def default_keywords(additional_keywords=None):
    default_keywords = 'RotBot, robot, bot, irc, irc bot, irc robot, '
    if additional_keywords:
        additional_keywords = ', '.join(map(str, additional_keywords))
        return (default_keywords + additional_keywords)
    return (default_keywords)

def total_messages(messages):
    total_messages = 0
    for message in messages:
        total_messages += message.amount
    return total_messages

def shorten_number (number):
    if len(str(number)) > 20:
        number = str(int(number /1000000000000000000)) +"E"
    elif len(str(number)) > 17:
        number = str(int(number /1000000000000000)) +"P"
    elif len(str(number)) > 14:
        number = str(int(number /1000000000000)) +"T"
    elif len(str(number)) > 11:
        number = str(int(number /1000000000)) +"G"
    elif len(str(number)) > 8:
        number = str(int(number /1000000)) +"M"
    elif len(str(number)) > 5:
        number = str(int(number /1000)) + "K"
    elif len(str(number)) > 4:
        number = str(int(number /100)) + "h"
    else:
        number = int(number)
    return str(number)
